--select * from sys.tables t where schema_id = 1 and object_id not in (select ix.object_id from sys.indexes ix where index_id = 1 and ix.object_id = t.object_id)

--CustomerCustomerDemo
--CustomerDemographics
--EmployeeTerritories
--Region
--Territories


/****** Object:  Index [PK_CustomerCustomerDemo]    Script Date: 4/20/2018 1:22:08 PM ******/

ALTER TABLE [dbo].[CustomerCustomerDemo] drop  CONSTRAINT [PK_CustomerCustomerDemo]
GO
ALTER TABLE [dbo].[CustomerCustomerDemo] ADD  CONSTRAINT [PK_CustomerCustomerDemo] PRIMARY KEY CLUSTERED 
(
	[CustomerID] ASC,
	[CustomerTypeID] ASC
)WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

SET ANSI_PADDING ON
GO

/****** Object:  Index [PK_CustomerDemographics]    Script Date: 4/20/2018 1:24:04 PM ******/
ALTER TABLE [dbo].[CustomerCustomerDemo]  drop CONSTRAINT [FK_CustomerCustomerDemo]
ALTER TABLE [dbo].[CustomerCustomerDemo]  drop  CONSTRAINT [FK_CustomerCustomerDemo_Customers] 


ALTER TABLE [dbo].[CustomerDemographics] drop  CONSTRAINT [PK_CustomerDemographics]
GO
ALTER TABLE [dbo].[CustomerDemographics] ADD  CONSTRAINT [PK_CustomerDemographics] PRIMARY KEY CLUSTERED 
(
	[CustomerTypeID] ASC
)WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

ALTER TABLE [dbo].[CustomerCustomerDemo]  WITH CHECK ADD  CONSTRAINT [FK_CustomerCustomerDemo] FOREIGN KEY([CustomerTypeID])
REFERENCES [dbo].[CustomerDemographics] ([CustomerTypeID])
GO

ALTER TABLE [dbo].[CustomerCustomerDemo] CHECK CONSTRAINT [FK_CustomerCustomerDemo]
GO

ALTER TABLE [dbo].[CustomerCustomerDemo]  WITH CHECK ADD  CONSTRAINT [FK_CustomerCustomerDemo_Customers] FOREIGN KEY([CustomerID])
REFERENCES [dbo].[Customers] ([CustomerID])
GO

ALTER TABLE [dbo].[CustomerCustomerDemo] CHECK CONSTRAINT [FK_CustomerCustomerDemo_Customers]
GO
------------------------------------------------------------------------------------------------------------

ALTER TABLE [dbo].[EmployeeTerritories] drop  CONSTRAINT [PK_EmployeeTerritories] 
GO
/****** Object:  Index [PK_EmployeeTerritories]    Script Date: 4/20/2018 1:28:36 PM ******/
ALTER TABLE [dbo].[EmployeeTerritories] ADD  CONSTRAINT [PK_EmployeeTerritories] PRIMARY KEY CLUSTERED 
(
	[EmployeeID] ASC,
	[TerritoryID] ASC
)WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

---------------------------------------------------------------------------------------------------------
ALTER TABLE [dbo].[Territories]  drop  CONSTRAINT [FK_Territories_Region]


ALTER TABLE [dbo].[Region] drop  CONSTRAINT [PK_Region]
GO
/****** Object:  Index [PK_Region]    Script Date: 4/20/2018 1:30:02 PM ******/
ALTER TABLE [dbo].[Region] ADD  CONSTRAINT [PK_Region] PRIMARY KEY CLUSTERED 
(
	[RegionID] ASC
)WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Territories]  WITH CHECK ADD  CONSTRAINT [FK_Territories_Region] FOREIGN KEY([RegionID])
REFERENCES [dbo].[Region] ([RegionID])
GO

ALTER TABLE [dbo].[Territories] CHECK CONSTRAINT [FK_Territories_Region]
GO
--------------------------------------------------------------------------------------------------------------

ALTER TABLE [dbo].[EmployeeTerritories]  drop CONSTRAINT [FK_EmployeeTerritories_Territories]


ALTER TABLE [dbo].[Territories] drop  CONSTRAINT [PK_Territories] 
GO

/****** Object:  Index [PK_Territories]    Script Date: 4/20/2018 1:35:51 PM ******/
ALTER TABLE [dbo].[Territories] ADD  CONSTRAINT [PK_Territories] PRIMARY KEY CLUSTERED 
(
	[TerritoryID] ASC
)WITH (STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

ALTER TABLE [dbo].[EmployeeTerritories]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeTerritories_Territories] FOREIGN KEY([TerritoryID])
REFERENCES [dbo].[Territories] ([TerritoryID])
GO

ALTER TABLE [dbo].[EmployeeTerritories] CHECK CONSTRAINT [FK_EmployeeTerritories_Territories]
GO


--alter database northwind set allow_snapshot_isolation on








